%define realname	siefs

Name: SieFS
Version: 0.4
Release: alt0.M24.1

Summary: Work with storage memory of Siemens mobiles via datacable
Summary(ru_RU.KOI8-R):      
License: GPL
Group: Communications

URL: http://chaos.allsiemens.com/siefs/

Source: %realname-%version.tar.bz2

Patch0: %realname-0.4-fix-make-dist.patch
Patch1: %realname-0.4-fix-configure.patch
Patch2: %realname-0.4-fix-undeclared.patch
Patch3: %realname-0.4-fix-slow-tx.patch
Patch4: %realname-0.4-fix-qwe3-close.patch
Patch5: %realname-0.4-fuse22.patch
Patch6: %realname-0.4-man-pages.patch
Patch7: %realname-configure.patch

#BuildArchitectures: i586

Requires: mount >= 2.11
Requires: fuse >= 2.2

Packager: Alexander Nekrasov <canis@altlinux.ru>

BuildPreReq: libfuse-devel >= 2.2
BuildPreReq: fuse >= 2.2

%description
SieFS is a virtual filesystem for accessing a storage memory (flexmem or
MultiMediaCard) of Siemens mobile phones via datacable, IRDA or
BlueTooth.  It is currently tested on S45, ME45, SL45(i), S55, SL55,
M55, MC60, CX65, M65, but should work also on C55/M50/MT50 with enabled
serial interface.  There should not be any problems with other new
Siemens phones (C60, S65, etc).

SieFS consists of filesystem module (siefs) and command-line utility
(slink).  SieFS depends on Filesystem in USErspace (FUSE) package.

The syntax of mount command is:

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

After mounting, the phone's memory will be visible as an ordinary
directory with files, you can copy, move, delete files, create
directories on it.  You can enter mount command when your mobile is not
connected to PC.  Also you can connect and disconnect it at any time
without need to remount filesystem.

For automatic mounting, add something like this to your /etc/fstab:

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink is an utility for working with phone's memory without mounting.
Type "slink -h" to view all supported commands.


%description -l ru_RU.KOI8-R
SieFS -         (flexmem
 MultiMediaCard)      
,    BlueTooth.    
 S45, ME45, SL45(i), S55, SL55, M55, MC60, CX65, M65,  
   C55/M50/MT50,   
.           
 (C60, S65, etc).

 SieFS     (siefs)  
 (slink).  SieFS    FUSE (Filesystem in
USErspace),     .

      : 

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

         
,   , ,  , 
   .      ,
      .    
        .

  ,   "/etc/fstab" ,
 :

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink -        .
    ,  "slink -h".


%prep
%setup -q -n %realname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7

%build
autoreconf -vif
%configure --with-fuse=/usr
%make_build

%install
%makeinstall
mkdir -p %buildroot/sbin
ln -s /usr/bin/siefs %buildroot/sbin/mount.siefs

%files
%_bindir/*
%exclude %_bindir/vmo2wav
%_man1dir/*
%_man8dir/*
/sbin/mount.siefs
%doc README AUTHORS COPYING

%changelog
* Mon Feb 28 2005 Alexey Borovskoy <alb@altlinux.ru> 0.4-alt0.M24.1
- Backport to Master 2.4
- Added patches:
  + siefs-configure.patch: search for fuse.h in /usr/inclide/fuse

* Sun Feb 13 2005 Sergey Vlasov <vsu@altlinux.ru> 0.4-alt1
- Version 0.4.
- Updated and reformatted %%description.
- Added patches:
  + siefs-0.4-fix-make-dist.patch: added missed files to SOURCES and
    EXTRA_DIST
  + siefs-0.4-fix-configure.patch: fix CFLAGS override and
    -I/usr/include problem
  + siefs-0.4-fix-undeclared.patch: added #include to fix missing
    prototypes
  + siefs-0.4-fix-slow-tx.patch: fix very slow transfer to mobile when
    USB cable is used
  + siefs-0.4-fix-qwe3-close.patch: fix AT^SQWE=3 protocol close sequence
  + siefs-0.4-fuse22.patch: compatibility with avfs-fuse 2.2
  + siefs-0.4-man-pages.patch: add man page for siefs
- Updated Requires and BuildRequires.

* Thu Mar 18 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt4
- vmo2wav is excluded, as is duplicated in obexftp packages

* Wed Jan 28 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt3
- description had been corrected

* Wed Jan 28 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt2
- build requires had been added

* Fri Jan 16 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt1
- new version
- support of new mobiles had been added
- new utility - voice memo converter (vmo2wav)

* Mon Dec 01 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt3
- symbolical link "mount.siefs" is forming automatically now

* Fri Nov 07 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt2
- the dependencys are corrected

* Thu Nov 06 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt1
- first build
